﻿using System;
using System.Collections.Generic;

using Microsoft.VisualStudio.TestTools.UnitTesting;

using WCFLoadTestHost.PerfServiceReference;

[TestClass]
public class WCFLoadTests
{
    private static IList<Int32> _seeds = new List<int>();

    [ClassInitialize]
    public static void Setup( TestContext context )
    {
        _seeds.Add( 12 );
        _seeds.Add( 22 );
        _seeds.Add( 1 );
        _seeds.Add( 3 );
        _seeds.Add( 5 );
        _seeds.Add( 66 );
        _seeds.Add( 36 );
        _seeds.Add( 9 );
        _seeds.Add( 76 );
        _seeds.Add( 58 );
        _seeds.Add( 83 );
        _seeds.Add( 26 );
        _seeds.Add( 66 );
        _seeds.Add( 88 );
    }

    private Int32 GetNextSeed()
    {
        var rand = new Random();
        var idToUse = rand.Next( 0, _seeds.Count );

        lock ( _seeds )
        {
            return _seeds[idToUse];
        }
    }


    [TestMethod]
    public void SomeUnitTestWhichDoesPerfTesting()
    {

        var seed = GetNextSeed();

        var perfServiceClient = new PerfServiceClient();
        var response = perfServiceClient.GetData( new GetDataRequest( seed ) );
    }

    [TestMethod]
    public void SomeOtherUnitTestWhichDoesPerfTesting()
    {

        var seed = GetNextSeed();

        var perfServiceClient = new PerfServiceClient();
        var response = perfServiceClient.GetData( new GetDataRequest( seed ) );
    }
}